### Method

# FwupdPlugin Progress sleep

since: 1.7.0

#### Declaration [src]

    void
    fu_progress_sleep (
      FuProgress* self,
      guint delay_ms
    )

#### Description [src]

Sleeps, setting the device progress from 0..100% as time continues.

NOTE: You should try to avoid calling this function for emulated devices.

Available since: 1.7.0

#### Parameters

`delay_ms`

  Type: `guint`

  The delay in milliseconds.